KDE 4.7 PyKDE API Reference

- KDE's Python API

# LatLonEdit Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Enumerations

Notation | { Decimal, DMS, DM }

## Signals

| valueChanged (float value)

## Methods

| __init__ (self, QWidget parent=0, Marble.Dimension dimension=Marble.Longitude, Marble.LatLonEdit.Notation notation=Marble.LatLonEdit.DMS)
Marble.LatLonEdit.Notation | notation (self)
| setDimension (self, Marble.Dimension dimension)
| setNotation (self, Marble.LatLonEdit.Notation notation)
| setValue (self, float newvalue)
float | value (self)

## Signal Documentation

valueChanged | ( | float | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("valueChanged(qreal)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Marble.Dimension | dimension=Marble.Longitude,
|  | Marble.LatLonEdit.Notation | notation=Marble.LatLonEdit.DMS
| ) |  |  |

Marble.LatLonEdit.Notation notation | ( |  | self ) |

setDimension | ( | self, |
|  | Marble.Dimension | dimension
| ) |  |  |

setNotation | ( | self, |
|  | Marble.LatLonEdit.Notation | notation
| ) |  |  |

setValue | ( | self, |
|  | float | newvalue
| ) |  |  |

float value | ( |  | self ) |

## Enumeration Documentation

Notation

enum used to specify the notation / numerical system

Enumerator:

  Decimal |
  DMS |